/*
Tämä on sama yksinkertainen reititysesimerkki, kuin ang-route-simple, 
mutta standalone-sovelluksena.

Standalone-sovelluksessa ei ole päämoduulia, vaan app.component eli 
pääkomponentti on sovelluksen hierarkian ylin rakenneosa. Tässä tapauksessa 
eka- ja toka-komponentti ovat siihen kytköksissä router-outletin kautta, 
eivätkä ole suoraan sen sisällä. 
*/

import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet, RouterLink } from '@angular/router';

@Component({
  selector: 'app-root',
  standalone: true, // standalone-komponentti
  imports: [CommonModule, RouterOutlet, RouterLink], // komponentin tarvitsemat riippuvuudet
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'ang-sa-router';
}
