/*
App.config.ts on sovelluksen konfiguraatiotiedosto.
Tiedosto importataan main.ts:ään. Näin kaikki komponentit 
saavat konfiguraation käyttöönsä. Tässä sovelluksessa konfiguraatio 
sisältää vain reititystiedoston tarjoamisen.
*/
import { ApplicationConfig } from '@angular/core';
import { provideRouter } from '@angular/router';

import { routes } from './app.routes';

export const appConfig: ApplicationConfig = {
  providers: [provideRouter(routes) ]
};
